#ifndef UART_FECBUS_DRV_H_
#define UART_FECBUS_DRV_H_

typedef struct{
	unsigned int state;
	unsigned int starttime_flag;
	unsigned int timecount;
}T_FECBus_RX_Prm;

extern T_FECBus_RX_Prm fecbus_rx_prm;

extern unsigned int fecbus_tx_is_busy(void);
extern void set_fecbus_tx_data(unsigned char * pdata);

extern void fecbus_rx_tick(void);
extern void fecbus_rx_irq(void);
extern void uart_fecbus_task(void);

#endif
